package com.tencent.mm.g.b.a;

import com.tencent.matrix.trace.core.AppMethodBeat;

public enum bs$a {
    release(1),
    debug(2),
    demo(3);
    
    final int value;

    static {
        AppMethodBeat.o(128678);
    }

    private bs$a(int i) {
        this.value = i;
    }

    public static bs$a gT(int i) {
        switch (i) {
            case 1:
                return release;
            case 2:
                return debug;
            case 3:
                return demo;
            default:
                return null;
        }
    }
}
